<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="onClickEvent"
            type="android.view.View.OnClickListener" />
    </data>

    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:background="@color/white"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/notice_disturb"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:onClick="@{onClickEvent}"
                    android:paddingLeft="@dimen/margin_15"
                    android:paddingTop="18dp"
                    android:paddingBottom="18dp"
                    android:text="消息免打扰"
                    android:textColor="@color/theme_text_color"
                    android:textSize="15sp" />

                <CheckBox
                    android:id="@+id/check_notice"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="@dimen/margin_12"
                    android:background="@drawable/switch_blue_selector"
                    android:button="@null" />
            </LinearLayout>

            <TextView
                android:id="@+id/disturb_time"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:drawableRight="@mipmap/right_arrow"
                android:onClick="@{onClickEvent}"
                android:paddingLeft="@dimen/margin_15"
                android:paddingTop="18dp"
                android:paddingRight="12dp"
                android:paddingBottom="18dp"
                android:text="23:00-07:00"
                android:textColor="@color/title_bg_color"
                android:textSize="15sp"
                android:visibility="gone" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0.6dp"
                android:layout_marginLeft="@dimen/margin_15"
                android:layout_marginRight="@dimen/margin_15"
                android:background="@color/background" />

            <TextView
                android:id="@+id/tv_modify_pwd"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{onClickEvent}"
                android:paddingLeft="@dimen/margin_15"
                android:paddingTop="18dp"
                android:paddingBottom="18dp"
                android:text="修改密码"
                android:textColor="@color/theme_text_color"
                android:textSize="15sp" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0.6dp"
                android:layout_marginLeft="@dimen/margin_15"
                android:layout_marginRight="@dimen/margin_15"
                android:background="@color/background" />

            <TextView
                android:id="@+id/tv_modify_pay_pwd"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{onClickEvent}"
                android:paddingLeft="@dimen/margin_15"
                android:paddingTop="18dp"
                android:paddingBottom="18dp"
                android:text="支付密码"
                android:textColor="@color/theme_text_color"
                android:textSize="15sp" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0.6dp"
                android:layout_marginLeft="@dimen/margin_15"
                android:layout_marginRight="@dimen/margin_15"
                android:background="@color/background" />

            <LinearLayout
                android:id="@+id/ll_clear_cache"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{onClickEvent}"
                android:paddingLeft="@dimen/margin_15"
                android:paddingTop="18dp"
                android:paddingRight="@dimen/margin_15"
                android:paddingBottom="18dp">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="清理缓存"
                    android:textColor="@color/theme_text_color"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/tv_cache"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/black_66_color"
                    android:textSize="15sp" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.6dp"
                android:layout_marginLeft="@dimen/margin_15"
                android:layout_marginRight="@dimen/margin_15"
                android:background="@color/background" />

            <LinearLayout
                android:id="@+id/version_layout"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:onClick="@{onClickEvent}"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:paddingLeft="14dp"
                    android:paddingRight="14dp"
                    android:text="版本更新"
                    android:textColor="@color/theme_text_color"
                    android:textSize="15sp" />

                <TextView
                    android:id="@+id/new_version"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingLeft="3dp"
                    android:paddingRight="3dp"
                    android:text="new"
                    android:textColor="@color/text_red_color"
                    android:textStyle="italic|bold"
                    android:visibility="gone" />

                <TextView
                    android:id="@+id/tv_version"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginRight="14dp"
                    android:drawableRight="@mipmap/right_arrow"
                    android:drawablePadding="12dp"
                    android:gravity="center_vertical"
                    android:textColor="@color/theme_text_color"
                    android:textSize="15sp"
                    tools:text="V1.0" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.6dp"
                android:layout_marginLeft="@dimen/margin_15"
                android:layout_marginRight="@dimen/margin_15"
                android:background="@color/background" />

            <TextView
                android:id="@+id/tv_above"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{onClickEvent}"
                android:paddingLeft="@dimen/margin_15"
                android:paddingTop="18dp"
                android:paddingBottom="18dp"
                android:text="关于我们"
                android:textColor="@color/theme_text_color"
                android:textSize="15sp" />

            <View
                android:layout_width="match_parent"
                android:layout_height="10dp"
                android:background="@color/background" />

            <TextView
                android:id="@+id/tv_login_out"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:onClick="@{onClickEvent}"
                android:paddingLeft="@dimen/margin_15"
                android:paddingTop="18dp"
                android:paddingBottom="18dp"
                android:text="退出登录"
                android:textColor="@color/theme_text_color"
                android:textSize="15sp" />
        </LinearLayout>
    </LinearLayout>
</layout>